Welcome to InspirePilots.com

Join the leading DJI Inspire community for free!

Inspire 1 Firmware v1.3.0.00

Discussion in 'Inspire 1 Discussion' started by Ray787, Aug 29, 2015.

  1. Ray787

    Joined:
    Apr 19, 2015
    Messages:
    28
    Likes Received:
    6
    Since downloading the new software update I have a a few issues.

    1. It takes a lot longer for my I1 to find and lock on to multiple satellites
    2. It does not fly as fast. With no wind - it use to fly 50- 60 mph. Now it's about 40 mph
    3. I had a very difficult time installing the firmware to the transmitters. It never installed with the micro SD card. I had to load the firmware on a USB stick and install it from there

    Is it possible if you already have the Inspire 1 Firmware v1.3.0.00 installed, Can you go to the DJI website and download the previous version of firmware Inspire 1 Firmware v1.2.1.06 and install it ? I'm just not sure if you can overwrite it.
    Thank you
     
  2. msinger

    Joined:
    Oct 30, 2014
    Messages:
    203
    Likes Received:
    95
    After installing firmware version 1.3.0.00, you can downgrade down to 1.2.1.06. Just follow the usual firmware installation instructions using the older firmware version.
     
  3. Ray787

    Joined:
    Apr 19, 2015
    Messages:
    28
    Likes Received:
    6
    Hello,
    Thank you for your help.

    I'm having a difficult time getting the transmitters to respond. I have downloaded the Firmware 1.2.1.06 to a USB stick and also the SD card. Neither one of the remotes are responding. As soon as I plug it in all 5 lights are lite and after about 4-5 min. I just am hearing the Beep about every second or so. And when I plug it into the computer I am NOT getting a SUCCESS message.I'm getting stating My computer(windows) can not recognized the program
     
  4. Scotflieger

    Joined:
    Mar 29, 2015
    Messages:
    1,244
    Likes Received:
    578
    Location:
    Buckie, Scotland, UK
    You can downgrade the aircraft but I do not believe this is possible with the RCs. Are your RCs not working with your degraded 1.2.1.6 aircraft?

    I am not sure what your complaint about FW 1.3.0.0 is? Are you after a racing quad? Mine is performing well with the latest formal FW and is much more stable a photography platform. I have not seen any problems with the aircraft locking on to GPS satellites even at 57N where I am based. The only issue I have is the poor GPS reception on the RCs.